import math
import pyglet

def collide(a, b):
    if a.y + a.height < b.y:
        return False
    if a.y > b.y + b.height:
        return False
    if a.x + a.width < b.x:
        return False
    if a.x > b.x + b.width:
        return False

    return True

def point_to_point(x1, y1, x2, y2):
    target_x = x2 - x1
    target_y = y2 - y1
    target_rotation = 0
    
    if y2 != 0:
        target_rotation = math.degrees(math.atan2(target_x, target_y))
    else:
        if x2 > 0:
            target_rotation = 90
        elif x2 < 0:
            target_rotation = 270

    return (target_x, target_y, target_rotation)

def load_centered_image(image_filename):
    image = pyglet.image.load(image_filename)
    image.anchor_x = image.width / 2
    image.anchor_y = image.height / 2
    return image

def center_sprite(sprite):
    sprite.anchor_x = sprite.width / 2
    sprite.anchor_y = sprite.height / 2
